Commit e3a7fbea authored by Joachim Breitner's avatar Joachim Breitner

Fix gitit build-depends

we need to manually add -prof and -doc until
https://github.com/jgm/gitit/issues/507 is addressed.
parent d9e63146
......@@ -27,68 +27,136 @@ Build-Depends: debhelper (>= 9),
libghc-safe-prof,
libghc-configfile-dev (>= 1),
libghc-configfile-dev (<< 1.2),
libghc-configfile-prof,
libghc-hstringtemplate-dev (>= 0.6),
libghc-hstringtemplate-dev (<< 0.9),
libghc-hstringtemplate-prof,
libghc-http-dev (>= 1:4000.0),
libghc-http-dev (<< 1:4000.3),
libghc-http-prof,
libghc-sha-dev (>> 1),
libghc-sha-dev (<< 1.7),
libghc-sha-prof,
libghc-aeson-dev (>= 0.7),
libghc-aeson-dev (<< 0.10),
libghc-aeson-prof,
libghc-base64-bytestring-dev (>= 0.1),
libghc-base64-bytestring-dev (<< 1.1),
libghc-base64-bytestring-prof,
libghc-blaze-html-dev (>= 0.4),
libghc-blaze-html-dev (<< 0.9),
libghc-blaze-html-prof,
libghc-feed-dev (>= 0.3.6),
libghc-feed-dev (<< 0.4),
libghc-feed-prof,
libghc-filestore-dev (>= 0.6),
libghc-filestore-dev (<< 0.7),
libghc-filestore-prof,
libghc-happstack-server-dev (>= 7.0),
libghc-happstack-server-dev (<< 7.5),
libghc-happstack-server-prof,
libghc-highlighting-kate-dev (>= 0.5.0.1),
libghc-highlighting-kate-dev (<< 0.7),
libghc-highlighting-kate-prof,
libghc-hoauth2-dev (>= 0.4.2),
libghc-hoauth2-dev (<< 0.5),
libghc-hoauth2-prof,
libghc-hslogger-dev (>= 1),
libghc-hslogger-dev (<< 1.3),
libghc-hslogger-prof,
libghc-http-client-tls-dev (>= 0.2.2),
libghc-http-client-tls-dev (<< 0.3),
libghc-http-client-tls-prof,
libghc-http-conduit-dev (>= 2.1.4),
libghc-http-conduit-dev (<< 2.2),
libghc-http-conduit-prof,
libghc-json-dev (>= 0.4),
libghc-json-dev (<< 0.10),
libghc-json-prof,
libghc-mtl-dev,
libghc-mtl-prof,
libghc-network-dev (>= 2.6),
libghc-network-uri-dev (>= 2.6),
libghc-network-uri-dev (<< 2.7),
libghc-network-uri-prof,
libghc-old-locale-dev (>= 1),
libghc-old-locale-prof,
libghc-old-time-dev,
libghc-old-time-prof,
libghc-parsec3-dev,
libghc-parsec3-prof,
libghc-random-dev,
libghc-random-prof,
libghc-recaptcha-dev (>= 0.1),
libghc-recaptcha-prof,
libghc-split-dev,
libghc-split-prof,
libghc-syb-dev,
libghc-syb-prof,
libghc-tagsoup-dev (>= 0.13),
libghc-tagsoup-dev (<< 0.14),
libghc-tagsoup-prof,
libghc-text-dev,
libghc-text-prof,
libghc-uri-dev (>= 0.1),
libghc-uri-dev (<< 0.2),
libghc-uri-prof,
libghc-url-dev (>= 2.1),
libghc-url-dev (<< 2.2),
libghc-url-prof,
libghc-utf8-string-dev (>= 0.3),
libghc-utf8-string-dev (<< 1.1),
libghc-utf8-string-prof,
libghc-uuid-dev (>= 1.3),
libghc-uuid-dev (<< 1.4),
libghc-uuid-prof,
libghc-xml-dev (>= 1.3.5),
libghc-xml-prof,
libghc-xss-sanitize-dev (>= 0.3),
libghc-xss-sanitize-dev (<< 0.4),
libghc-xss-sanitize-prof,
libghc-zlib-dev (>= 0.5),
libghc-zlib-dev (<< 0.7),
libghc-zlib-prof,
Build-Depends-Indep: ghc-doc,
libghc-ghc-paths-doc,
libghc-pandoc-doc,
libghc-pandoc-types-doc,
libghc-safe-doc,
libghc-configfile-doc,
libghc-hstringtemplate-doc,
libghc-http-doc,
libghc-sha-doc,
libghc-aeson-doc,
libghc-base64-bytestring-doc,
libghc-blaze-html-doc,
libghc-feed-doc,
libghc-filestore-doc,
libghc-happstack-server-doc,
libghc-highlighting-kate-doc,
libghc-hoauth2-doc,
libghc-hslogger-doc,
libghc-http-client-tls-doc,
libghc-http-conduit-doc,
libghc-json-doc,
libghc-mtl-doc,
libghc-network-uri-doc,
libghc-old-locale-doc,
libghc-old-time-doc,
libghc-parsec3-doc,
libghc-random-doc,
libghc-recaptcha-doc,
libghc-split-doc,
libghc-syb-doc,
libghc-tagsoup-doc,
libghc-text-doc,
libghc-uri-doc,
libghc-url-doc,
libghc-utf8-string-doc,
libghc-uuid-doc,
libghc-xml-doc,
libghc-xss-sanitize-doc,
libghc-zlib-doc,
Standards-Version: 3.9.6
Homepage: http://gitit.net/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/gitit
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment